net.sf.jasperreports.export

## Interface PdfReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Implementing Classes:
    SimplePdfReportConfiguration

      public interface PdfReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the PDF exporter.
  Version:
    $Id: PdfExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRPdfExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS` Property that provides a default for the `isCollapseMissingBookmarkLevels()` export configuration flag.
    `static java.lang.String` | `PROPERTY_FORCE_LINEBREAK_POLICY` Property that provides a default value for the `isForceLineBreakPolicy()` exporter configuration flag.
    `static java.lang.String` | `PROPERTY_FORCE_SVG_SHAPES` Property that provides a default value for the `isForceSvgShapes()` PDF exporter configuration flag.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Property that provides a default for the `isIgnoreHyperlink()` export configuration flag.
    `static java.lang.String` | `PROPERTY_SIZE_PAGE_TO_CONTENT` Property which specifies a default for the `isSizePageToContent()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isCollapseMissingBookmarkLevels()` Flag that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.
    `java.lang.Boolean` | `isForceLineBreakPolicy()` Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.
    `java.lang.Boolean` | `isForceSvgShapes()` Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isSizePageToContent()` Flag which specifies if the size of each page should be increased to accommodate its content.

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_FORCE_SVG_SHAPES

          static final java.lang.String PROPERTY_FORCE_SVG_SHAPES

      Property that provides a default value for the `isForceSvgShapes()` PDF exporter configuration flag.
      See Also:
        Constant Field Values

    - #### PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

          static final java.lang.String PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

      Property that provides a default for the `isCollapseMissingBookmarkLevels()` export configuration flag.

      The property can be set globally and at report level. By default, the property is set to `false`.

      Since:
        3.7.3
      See Also:
        `JRAnchor.getBookmarkLevel()`, Constant Field Values

    - #### PROPERTY_SIZE_PAGE_TO_CONTENT

          static final java.lang.String PROPERTY_SIZE_PAGE_TO_CONTENT

      Property which specifies a default for the `isSizePageToContent()` export configuration flag.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Property that provides a default for the `isIgnoreHyperlink()` export configuration flag.
      See Also:
        Constant Field Values

    - #### PROPERTY_FORCE_LINEBREAK_POLICY

          static final java.lang.String PROPERTY_FORCE_LINEBREAK_POLICY

      Property that provides a default value for the `isForceLineBreakPolicy()` exporter configuration flag.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isForceSvgShapes

          java.lang.Boolean isForceSvgShapes()

      Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context. This allows rendering fonts as shapes and avoid font mapping issues that might cause Unicode text not to show up properly, but has the disadvantage of producing larger PDF files. By default, the flag is set to true, mainly due to backward compatibility reasons. To reduce PDF file size for documents containing SVG images such as charts, the flag should be turned to false, and the PDF exporter font mappings should be correctly configured using the font extension support, to ensure proper rendering of text in the SVG. This flag can be set system-wide using the `PROPERTY_FORCE_SVG_SHAPES` property.
      See Also:
        `PROPERTY_FORCE_SVG_SHAPES`

    - #### isCollapseMissingBookmarkLevels

          java.lang.Boolean isCollapseMissingBookmarkLevels()

      Flag that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.

      The flag dictates what happens when a filled report contains an anchor having a bookmark level that is not the immediate successor of its parent (e.g. an anchor with bookmark level 3 follows immediately after a bookmark of level 1). If the flag is not set, an empty bookmark is created for the missing level(s) in order to preserve the original level of the bookmark. When the property is set, the level of the bookmark will be collapsed and the bookmark will be created as a direct descendant of its nearest parent.

      See Also:
        `PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS`

    - #### isSizePageToContent

          java.lang.Boolean isSizePageToContent()

      Flag which specifies if the size of each page should be increased to accommodate its content.
      See Also:
        `PROPERTY_SIZE_PAGE_TO_CONTENT`

    - #### isIgnoreHyperlink

          java.lang.Boolean isIgnoreHyperlink()

      See Also:
        `PROPERTY_IGNORE_HYPERLINK`

    - #### isForceLineBreakPolicy

          java.lang.Boolean isForceLineBreakPolicy()

      Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.

      The default line-breaking logic differs from AWT (which is used during the report fill) to iText (used by the PDF exporter). By setting this flag, the logic used by AWT is imposed to iText. The drawback is that the PDF export performance would drop. Because of this, the flag is not set by default.

      This flag can be set system-wide using the `PROPERTY_FORCE_LINEBREAK_POLICY` property.

      See Also:
        `PROPERTY_FORCE_LINEBREAK_POLICY`, `BreakIteratorSplitCharacter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com